@font-face {
    font-family: "Phosphor";
    src:
        url("/public/resource/fonts/Phosphor-Thin.woff2") format("woff2"),
        url("/public/resource/fonts/Phosphor-Thin.woff2") format("woff2");
    font-weight: 100;
    font-style: normal;
    font-display: block;
}

@font-face {
    font-family: "Phosphor";
    src:
        url("/public/resource/fonts/Phosphor-Light.woff2") format("woff2"),
        url("/public/resource/fonts/Phosphor-Light.woff2") format("woff2");
    font-weight: 300;
    font-style: normal;
    font-display: block;
}

@font-face {
    font-family: "Phosphor";
    src:
        url("/public/resource/fonts/Phosphor.woff2") format("woff2"),
        url("/public/resource/fonts/Phosphor.woff2") format("woff2");
    font-weight: 400;
    font-style: normal;
    font-display: block;
}

@font-face {
    font-family: "Phosphor";
    src:
        url("/public/resource/fonts/Phosphor-Fill.woff2") format("woff2"),
        url("/public/resource/fonts/Phosphor-Fill.woff2") format("woff2");
    font-weight: 900;
    font-style: normal;
    font-display: block;
}

.ph {
    /* use !important to prevent issues with browser extensions that change fonts */
    font-family: "Phosphor" !important;
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;

    /* Enable Ligatures ================ */
    letter-spacing: 0;
    -webkit-font-feature-settings: "liga";
    -moz-font-feature-settings: "liga=1";
    -moz-font-feature-settings: "liga";
    -ms-font-feature-settings: "liga" 1;
    font-feature-settings: "liga";
    -webkit-font-variant-ligatures: discretionary-ligatures;
    font-variant-ligatures: discretionary-ligatures;

    /* Better Font Rendering =========== */
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.ph-thin {
    font-weight: 100;
}

.ph-light {
    font-weight: 300;
}

.ph-fill {
    font-weight: 900;
}

.ph.ph-envelope-simple:before {
    content: "\e218";
}

.ph.ph-lock:before {
    content: "\e2fa";
}

.ph.ph-warning-circle:before {
    content: "\e4e2";
}

.ph.ph-x:before {
    content: "\e4f6";
}

.ph.ph-heart:before {
    content: "\e2a8";
}

.ph.ph-list:before {
    content: "\e2f0";
}

.ph.ph-caret-left:before {
    content: "\e138";
}

.ph.ph-caret-up:before {
    content: "\e13c";
}

.ph.ph-caret-down:before {
    content: "\e136";
}

.ph.ph-note-pencil:before {
    content: "\e34c";
}

.ph.ph-camera:before {
    content: "\e10e";
}